### GET /ads/{connection_id}/ad Source: https://api.unified.to/docs/openapi-ads.json API endpoint for GET /ads/{connection_id}/ad ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **org_id** (string, query, optional): The org ID to filter by (reference to AdsOrganization) - **campaign_id** (string, query, optional): The campaign ID to filter by - **group_id** (string, query, optional): The group ID to filter by (reference to HrisGroup) - **fields** (array (string (id|created_at|updated_at|name|campaign_id|group_id|item_id|organization_id|status|ad_type|creative_ids|creative_asset_url|ad_copy|headline|description|cta|final_url|targeting|is_active|end_at|start_at|display_url|path1|path2|metadata|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **AdsAds** - Array of AdsAd ### Example Usage ```bash curl -X GET "https://api.unified.to/ads/{connection_id}/ad?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&org_id=string&campaign_id=string&group_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ads/{connection_id}/campaign Source: https://api.unified.to/docs/openapi-ads.json API endpoint for GET /ads/{connection_id}/campaign ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **org_id** (string, query, optional): The org ID to filter by (reference to AdsOrganization) - **fields** (array (string (id|created_at|updated_at|name|organization_id|status|start_at|end_at|budget_amount|budget_period|total_spend_amount|targeting|goal|planned_spend_amount|frequency_cap|bid_strategy|special_ad_categories|advertising_channel_type|campaign_budget_identifier|currency|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **AdsCampaigns** - Array of AdsCampaign ### Example Usage ```bash curl -X GET "https://api.unified.to/ads/{connection_id}/campaign?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&org_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ads/{connection_id}/creative Source: https://api.unified.to/docs/openapi-ads.json API endpoint for GET /ads/{connection_id}/creative ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **org_id** (string, query, optional): The org ID to filter by (reference to AdsOrganization) - **group_id** (string, query, optional): The group ID to filter by (reference to HrisGroup) - **fields** (array (string (id|created_at|updated_at|name|campaign_id|group_id|item_id|organization_id|status|creative_type|hosting_source|width|height|asset_urls|page_identifier|link_url|body|title|cta|thumbnail_url|image_hash|video_id|third_party_tag|vast_tag_url|external_creative_reference|external_placement_reference|external_ad_reference|metadata|path1|path2|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **AdsCreatives** - Array of AdsCreative ### Example Usage ```bash curl -X GET "https://api.unified.to/ads/{connection_id}/creative?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&org_id=string&group_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ads/{connection_id}/report Source: https://api.unified.to/docs/openapi-ads.json API endpoint for GET /ads/{connection_id}/report ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **org_id** (string, query, optional): The org ID to filter by (reference to AdsOrganization) - **campaign_id** (string, query, optional): The campaign ID to filter by - **group_id** (string, query, optional): The group ID to filter by (reference to HrisGroup) - **ad_id** (string, query, optional): The ad ID to filter by - **type** (string, query, optional) - **start_gte** (string, query, optional): The start date to filter by (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **end_lt** (string, query, optional): The end date to filter by (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **fields** (array (string (id|created_at|updated_at|currency|metrics|start_at|end_at|organization_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **AdsReports** - Array of AdsReport ### Example Usage ```bash curl -X GET "https://api.unified.to/ads/{connection_id}/report?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&org_id=string&campaign_id=string&group_id=string&ad_id=string&type=string&start_gte=string&end_lt=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ads/{connection_id}/ad/{id} Source: https://api.unified.to/docs/openapi-ads.json API endpoint for GET /ads/{connection_id}/ad/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|campaign_id|group_id|item_id|organization_id|status|ad_type|creative_ids|creative_asset_url|ad_copy|headline|description|cta|final_url|targeting|is_active|end_at|start_at|display_url|path1|path2|metadata|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Ad ### Responses #### 200 - Successful **AdsAd** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **campaign_id** (string) - **group_id** (string) - **item_id** (string) - **organization_id** (string) - **status** (string (UNSPECIFIED|ACTIVE|PAUSED|ARCHIVED|DRAFT|SCHEDULED_FOR_DELETION)) ("UNSPECIFIED"|"ACTIVE"|"PAUSED"|"ARCHIVED"|"DRAFT"|"SCHEDULED_FOR_DELETION") - **ad_type** (string (TEXT|IMAGE|VIDEO|RESPONSIVE|SHOPPING|APP|CALL|CAROUSEL|SOCIAL|DISPLAY|SEARCH|AUDIO|YOUTUBE)) ("TEXT"|"IMAGE"|"VIDEO"|"RESPONSIVE"|"SHOPPING"|"APP"|"CALL"|"CAROUSEL"|"SOCIAL"|"DISPLAY"|"SEARCH"|"AUDIO"|"YOUTUBE") - **creative_ids** (array (string)) - **creative_asset_url** (string) - **ad_copy** (string) - **headline** (string) - **description** (string) - **cta** (string) - **final_url** (string) - **targeting** (object) - **locations** (array (string)) - **languages** (array (string)) - **devices** (array (string)) - **keywords** (array (string)) - **audiences** (array (string)) - **age_ranges** (array (string)) - **genders** (array (string)) - **placements** (array (string)) - **industries** (array (string)) - **job_functions** (array (string)) - **job_titles** (array (string)) - **seniorities** (array (string)) - **companies** (array (string)) - **company_sizes** (array (string)) - **schools** (array (string)) - **degrees** (array (string)) - **skills** (array (string)) - **interests** (array (string)) - **custom_audiences** (array (string)) - **excluded_audiences** (array (string)) - **behaviors** (array (string)) - **excluded_locations** (array (string)) - **is_active** (boolean) - **end_at** (string (date-time)) - **start_at** (string (date-time)) - **display_url** (string) - **path1** (string) - **path2** (string) - **metadata** (array (AdsMetadata)) Array items: - **id** (string) - **slug** (string) - **value** (object) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/ads/{connection_id}/ad/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ads/{connection_id}/insertionorder Source: https://api.unified.to/docs/openapi-ads.json API endpoint for GET /ads/{connection_id}/insertionorder ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **org_id** (string, query, optional): The org ID to filter by (reference to AdsOrganization) - **campaign_id** (string, query, optional): The campaign ID to filter by - **fields** (array (string (id|created_at|updated_at|name|organization_id|campaign_id|status|pacing|frequency_cap|kpi|budget_unit|budget_segments|bid_strategy|reference|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **AdsInsertionorders** - Array of AdsInsertionorder ### Example Usage ```bash curl -X GET "https://api.unified.to/ads/{connection_id}/insertionorder?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&org_id=string&campaign_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ads/{connection_id}/creative/{id} Source: https://api.unified.to/docs/openapi-ads.json API endpoint for GET /ads/{connection_id}/creative/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|campaign_id|group_id|item_id|organization_id|status|creative_type|hosting_source|width|height|asset_urls|page_identifier|link_url|body|title|cta|thumbnail_url|image_hash|video_id|third_party_tag|vast_tag_url|external_creative_reference|external_placement_reference|external_ad_reference|metadata|path1|path2|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Creative ### Responses #### 200 - Successful **AdsCreative** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **campaign_id** (string) - **group_id** (string) - **item_id** (string) - **organization_id** (string) - **status** (string (UNSPECIFIED|ACTIVE|PAUSED|ARCHIVED|DRAFT|SCHEDULED_FOR_DELETION)) ("UNSPECIFIED"|"ACTIVE"|"PAUSED"|"ARCHIVED"|"DRAFT"|"SCHEDULED_FOR_DELETION") - **creative_type** (string (UNSPECIFIED|STANDARD|EXPANDABLE|VIDEO|NATIVE|AUDIO|PUBLISHER_HOSTED|ASSET_BASED)) ("UNSPECIFIED"|"STANDARD"|"EXPANDABLE"|"VIDEO"|"NATIVE"|"AUDIO"|"PUBLISHER_HOSTED"|"ASSET_BASED") - **hosting_source** (string (UNSPECIFIED|CM|THIRD_PARTY|HOSTED|RICH_MEDIA|PUBLISHER_HOSTED)) ("UNSPECIFIED"|"CM"|"THIRD_PARTY"|"HOSTED"|"RICH_MEDIA"|"PUBLISHER_HOSTED") - **width** (number) - **height** (number) - **asset_urls** (array (string)): Hosted asset mode (best-effort, provider-specific - **page_identifier** (string) - **link_url** (string) - **body** (string) - **title** (string) - **cta** (string) - **thumbnail_url** (string) - **image_hash** (string) - **video_id** (string) - **third_party_tag** (string) - **vast_tag_url** (string) - **external_creative_reference** (string) - **external_placement_reference** (string) - **external_ad_reference** (string) - **metadata** (array (AdsMetadata)) Array items: - **id** (string) - **slug** (string) - **value** (object) - **path1** (string) - **path2** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/ads/{connection_id}/creative/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ads/{connection_id}/campaign/{id} Source: https://api.unified.to/docs/openapi-ads.json API endpoint for GET /ads/{connection_id}/campaign/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|organization_id|status|start_at|end_at|budget_amount|budget_period|total_spend_amount|targeting|goal|planned_spend_amount|frequency_cap|bid_strategy|special_ad_categories|advertising_channel_type|campaign_budget_identifier|currency|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Campaign ### Responses #### 200 - Successful **AdsCampaign** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **organization_id** (string) - **status** (string (UNSPECIFIED|ACTIVE|PAUSED|ARCHIVED|DRAFT|SCHEDULED_FOR_DELETION)) ("UNSPECIFIED"|"ACTIVE"|"PAUSED"|"ARCHIVED"|"DRAFT"|"SCHEDULED_FOR_DELETION") - **start_at** (string (date-time)) - **end_at** (string (date-time)) - **budget_amount** (number) - **budget_period** (string (DAILY|MONTHLY|TOTAL|LIFETIME)) ("DAILY"|"MONTHLY"|"TOTAL"|"LIFETIME") - **total_spend_amount** (number) - **targeting** (object) - **locations** (array (string)) - **languages** (array (string)) - **devices** (array (string)) - **keywords** (array (string)) - **audiences** (array (string)) - **age_ranges** (array (string)) - **genders** (array (string)) - **placements** (array (string)) - **industries** (array (string)) - **job_functions** (array (string)) - **job_titles** (array (string)) - **seniorities** (array (string)) - **companies** (array (string)) - **company_sizes** (array (string)) - **schools** (array (string)) - **degrees** (array (string)) - **skills** (array (string)) - **interests** (array (string)) - **custom_audiences** (array (string)) - **excluded_audiences** (array (string)) - **behaviors** (array (string)) - **excluded_locations** (array (string)) - **goal** (string (UNSPECIFIED|BRAND_AWARENESS|REACH|WEBSITE_TRAFFIC|LEADS|SALES|APP_PROMOTION)) ("UNSPECIFIED"|"BRAND_AWARENESS"|"REACH"|"WEBSITE_TRAFFIC"|"LEADS"|"SALES"|"APP_PROMOTION") - **planned_spend_amount** (number) - **frequency_cap** (object) - **is_unlimited** (boolean) - **time_unit** (string (UNSPECIFIED|LIFETIME|MONTHS|WEEKS|DAYS|HOURS|MINUTES)) ("UNSPECIFIED"|"LIFETIME"|"MONTHS"|"WEEKS"|"DAYS"|"HOURS"|"MINUTES") - **time_unit_count** (number) - **max_impressions** (number) - **max_views** (number) - **bid_strategy** (object): YOUTUBE_AND_PARTNERS - **type** (string (FIXED_BID|MAXIMIZE_SPEND|PERFORMANCE_GOAL|YOUTUBE_AND_PARTNERS)) (required) ("FIXED_BID"|"MAXIMIZE_SPEND"|"PERFORMANCE_GOAL"|"YOUTUBE_AND_PARTNERS") - **fixed_bid_amount** (number) - **performance_goal_type** (string (UNSPECIFIED|CPA|CPC|VIEWABLE_CPM|CUSTOM_ALGO|CIVA|IVO_TEN|AV_VIEWED|REACH)) ("UNSPECIFIED"|"CPA"|"CPC"|"VIEWABLE_CPM"|"CUSTOM_ALGO"|"CIVA"|"IVO_TEN"|"AV_VIEWED"|"REACH") - **performance_goal_amount** (number) - **max_average_cpm_bid_amount** (number) - **custom_bidding_algorithm_id** (string) - **raise_bid_for_deals** (boolean) - **youtube_and_partners_type** (string (UNSPECIFIED|MANUAL_CPV|MANUAL_CPM|TARGET_CPA|TARGET_CPM|RESERVE_CPM|MAXIMIZE_LIFT|MAXIMIZE_CONVERSIONS|TARGET_CPV|TARGET_ROAS|MAXIMIZE_CONVERSION_VALUE)) ("UNSPECIFIED"|"MANUAL_CPV"|"MANUAL_CPM"|"TARGET_CPA"|"TARGET_CPM"|"RESERVE_CPM"|"MAXIMIZE_LIFT"|"MAXIMIZE_CONVERSIONS"|"TARGET_CPV"|"TARGET_ROAS"|"MAXIMIZE_CONVERSION_VALUE") - **youtube_and_partners_value** (string) - **target_roas** (number) - **special_ad_categories** (array (string)) - **advertising_channel_type** (string (TEXT|IMAGE|VIDEO|RESPONSIVE|SHOPPING|APP|CALL|CAROUSEL|SOCIAL|DISPLAY|SEARCH|AUDIO|YOUTUBE)) ("TEXT"|"IMAGE"|"VIDEO"|"RESPONSIVE"|"SHOPPING"|"APP"|"CALL"|"CAROUSEL"|"SOCIAL"|"DISPLAY"|"SEARCH"|"AUDIO"|"YOUTUBE") - **campaign_budget_identifier** (string) - **currency** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/ads/{connection_id}/campaign/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ads/{connection_id}/insertionorder/{id} Source: https://api.unified.to/docs/openapi-ads.json API endpoint for GET /ads/{connection_id}/insertionorder/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|organization_id|campaign_id|status|pacing|frequency_cap|kpi|budget_unit|budget_segments|bid_strategy|reference|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Insertionorder ### Responses #### 200 - Successful **AdsInsertionorder** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **organization_id** (string) - **campaign_id** (string) - **status** (string (UNSPECIFIED|ACTIVE|PAUSED|ARCHIVED|DRAFT|SCHEDULED_FOR_DELETION)) ("UNSPECIFIED"|"ACTIVE"|"PAUSED"|"ARCHIVED"|"DRAFT"|"SCHEDULED_FOR_DELETION") - **pacing** (object) - **period** (string (UNSPECIFIED|DAILY|FLIGHT)) ("UNSPECIFIED"|"DAILY"|"FLIGHT") - **type** (string) - **daily_max_amount** (number) - **daily_max_impressions** (number) - **frequency_cap** (object) - **is_unlimited** (boolean) - **time_unit** (string (UNSPECIFIED|LIFETIME|MONTHS|WEEKS|DAYS|HOURS|MINUTES)) ("UNSPECIFIED"|"LIFETIME"|"MONTHS"|"WEEKS"|"DAYS"|"HOURS"|"MINUTES") - **time_unit_count** (number) - **max_impressions** (number) - **max_views** (number) - **kpi** (object) - **type** (string (UNSPECIFIED|CPM|CPC|CPA|CTR|VIEWABILITY|CPIAVC|CPE|CPV|CLICK_CVR|IMPRESSION_CVR|VCPM|VTR|AUDIO_COMPLETION_RATE|VIDEO_COMPLETION_RATE|CPCL|CPCV|TOS10|MAXIMIZE_PACING|CUSTOM_IMPRESSION_VALUE_OVER_COST|OTHER)) ("UNSPECIFIED"|"CPM"|"CPC"|"CPA"|"CTR"|"VIEWABILITY"|"CPIAVC"|"CPE"|"CPV"|"CLICK_CVR"|"IMPRESSION_CVR"|"VCPM"|"VTR"|"AUDIO_COMPLETION_RATE"|"VIDEO_COMPLETION_RATE"|"CPCL"|"CPCV"|"TOS10"|"MAXIMIZE_PACING"|"CUSTOM_IMPRESSION_VALUE_OVER_COST"|"OTHER") - **amount** (number) - **percentage** (number) - **string_value** (string) - **algorithm_id** (string) - **budget_unit** (string (UNSPECIFIED|CURRENCY|IMPRESSIONS)) ("UNSPECIFIED"|"CURRENCY"|"IMPRESSIONS") - **budget_segments** (array (AdsInsertionorderBudgetSegment)) Array items: - **budget_amount** (number) - **description** (string) - **start_at** (string (date-time)) - **end_at** (string (date-time)) - **bid_strategy** (object): YOUTUBE_AND_PARTNERS - **type** (string (FIXED_BID|MAXIMIZE_SPEND|PERFORMANCE_GOAL|YOUTUBE_AND_PARTNERS)) (required) ("FIXED_BID"|"MAXIMIZE_SPEND"|"PERFORMANCE_GOAL"|"YOUTUBE_AND_PARTNERS") - **fixed_bid_amount** (number) - **performance_goal_type** (string (UNSPECIFIED|CPA|CPC|VIEWABLE_CPM|CUSTOM_ALGO|CIVA|IVO_TEN|AV_VIEWED|REACH)) ("UNSPECIFIED"|"CPA"|"CPC"|"VIEWABLE_CPM"|"CUSTOM_ALGO"|"CIVA"|"IVO_TEN"|"AV_VIEWED"|"REACH") - **performance_goal_amount** (number) - **max_average_cpm_bid_amount** (number) - **custom_bidding_algorithm_id** (string) - **raise_bid_for_deals** (boolean) - **youtube_and_partners_type** (string (UNSPECIFIED|MANUAL_CPV|MANUAL_CPM|TARGET_CPA|TARGET_CPM|RESERVE_CPM|MAXIMIZE_LIFT|MAXIMIZE_CONVERSIONS|TARGET_CPV|TARGET_ROAS|MAXIMIZE_CONVERSION_VALUE)) ("UNSPECIFIED"|"MANUAL_CPV"|"MANUAL_CPM"|"TARGET_CPA"|"TARGET_CPM"|"RESERVE_CPM"|"MAXIMIZE_LIFT"|"MAXIMIZE_CONVERSIONS"|"TARGET_CPV"|"TARGET_ROAS"|"MAXIMIZE_CONVERSION_VALUE") - **youtube_and_partners_value** (string) - **target_roas** (number) - **reference** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/ads/{connection_id}/insertionorder/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ads/{connection_id}/organization Source: https://api.unified.to/docs/openapi-ads.json API endpoint for GET /ads/{connection_id}/organization ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **parent_id** (string, query, optional): The parent ID to filter by - **fields** (array (string (id|created_at|updated_at|name|currency|timezone|parent_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **AdsOrganizations** - Array of AdsOrganization ### Example Usage ```bash curl -X GET "https://api.unified.to/ads/{connection_id}/organization?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&parent_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ads/{connection_id}/group/{id} Source: https://api.unified.to/docs/openapi-ads.json API endpoint for GET /ads/{connection_id}/group/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|parent_id|campaign_id|organization_id|insertionorder_id|status|targeting|bid_amount|bid_strategy|budget_amount|budget_period|budget_allocation_type|start_at|end_at|budget_unit|budget_max_amount|type|has_eu_political_ads|pacing|frequency_cap|creative_ids|optimization_goal|billing_event|daily_spend_cap|lifetime_spend_cap|ad_group_type|currency|metadata|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Group ### Responses #### 200 - Successful **AdsGroup** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **parent_id** (string) - **campaign_id** (string) - **organization_id** (string) - **insertionorder_id** (string) - **status** (string (UNSPECIFIED|ACTIVE|PAUSED|ARCHIVED|DRAFT|SCHEDULED_FOR_DELETION)) ("UNSPECIFIED"|"ACTIVE"|"PAUSED"|"ARCHIVED"|"DRAFT"|"SCHEDULED_FOR_DELETION") - **targeting** (object) - **locations** (array (string)) - **languages** (array (string)) - **devices** (array (string)) - **keywords** (array (string)) - **audiences** (array (string)) - **age_ranges** (array (string)) - **genders** (array (string)) - **placements** (array (string)) - **industries** (array (string)) - **job_functions** (array (string)) - **job_titles** (array (string)) - **seniorities** (array (string)) - **companies** (array (string)) - **company_sizes** (array (string)) - **schools** (array (string)) - **degrees** (array (string)) - **skills** (array (string)) - **interests** (array (string)) - **custom_audiences** (array (string)) - **excluded_audiences** (array (string)) - **behaviors** (array (string)) - **excluded_locations** (array (string)) - **bid_amount** (number) - **bid_strategy** (object): YOUTUBE_AND_PARTNERS - **type** (string (FIXED_BID|MAXIMIZE_SPEND|PERFORMANCE_GOAL|YOUTUBE_AND_PARTNERS)) (required) ("FIXED_BID"|"MAXIMIZE_SPEND"|"PERFORMANCE_GOAL"|"YOUTUBE_AND_PARTNERS") - **fixed_bid_amount** (number) - **performance_goal_type** (string (UNSPECIFIED|CPA|CPC|VIEWABLE_CPM|CUSTOM_ALGO|CIVA|IVO_TEN|AV_VIEWED|REACH)) ("UNSPECIFIED"|"CPA"|"CPC"|"VIEWABLE_CPM"|"CUSTOM_ALGO"|"CIVA"|"IVO_TEN"|"AV_VIEWED"|"REACH") - **performance_goal_amount** (number) - **max_average_cpm_bid_amount** (number) - **custom_bidding_algorithm_id** (string) - **raise_bid_for_deals** (boolean) - **youtube_and_partners_type** (string (UNSPECIFIED|MANUAL_CPV|MANUAL_CPM|TARGET_CPA|TARGET_CPM|RESERVE_CPM|MAXIMIZE_LIFT|MAXIMIZE_CONVERSIONS|TARGET_CPV|TARGET_ROAS|MAXIMIZE_CONVERSION_VALUE)) ("UNSPECIFIED"|"MANUAL_CPV"|"MANUAL_CPM"|"TARGET_CPA"|"TARGET_CPM"|"RESERVE_CPM"|"MAXIMIZE_LIFT"|"MAXIMIZE_CONVERSIONS"|"TARGET_CPV"|"TARGET_ROAS"|"MAXIMIZE_CONVERSION_VALUE") - **youtube_and_partners_value** (string) - **target_roas** (number) - **budget_amount** (number) - **budget_period** (string (DAILY|MONTHLY|TOTAL|LIFETIME)) ("DAILY"|"MONTHLY"|"TOTAL"|"LIFETIME") - **budget_allocation_type** (string (UNSPECIFIED|AUTOMATIC|FIXED|UNLIMITED)) ("UNSPECIFIED"|"AUTOMATIC"|"FIXED"|"UNLIMITED") - **start_at** (string (date-time)) - **end_at** (string (date-time)) - **budget_unit** (string (UNSPECIFIED|CURRENCY|IMPRESSIONS)) ("UNSPECIFIED"|"CURRENCY"|"IMPRESSIONS") - **budget_max_amount** (number) - **type** (string (TEXT|IMAGE|VIDEO|RESPONSIVE|SHOPPING|APP|CALL|CAROUSEL|SOCIAL|DISPLAY|SEARCH|AUDIO|YOUTUBE)) ("TEXT"|"IMAGE"|"VIDEO"|"RESPONSIVE"|"SHOPPING"|"APP"|"CALL"|"CAROUSEL"|"SOCIAL"|"DISPLAY"|"SEARCH"|"AUDIO"|"YOUTUBE") - **has_eu_political_ads** (boolean) - **pacing** (object) - **period** (string (UNSPECIFIED|DAILY|FLIGHT)) ("UNSPECIFIED"|"DAILY"|"FLIGHT") - **type** (string) - **daily_max_amount** (number) - **daily_max_impressions** (number) - **frequency_cap** (object) - **is_unlimited** (boolean) - **time_unit** (string (UNSPECIFIED|LIFETIME|MONTHS|WEEKS|DAYS|HOURS|MINUTES)) ("UNSPECIFIED"|"LIFETIME"|"MONTHS"|"WEEKS"|"DAYS"|"HOURS"|"MINUTES") - **time_unit_count** (number) - **max_impressions** (number) - **max_views** (number) - **creative_ids** (array (string)) - **optimization_goal** (string) - **billing_event** (string) - **daily_spend_cap** (number) - **lifetime_spend_cap** (number) - **ad_group_type** (string) - **currency** (string) - **metadata** (array (AdsMetadata)) Array items: - **id** (string) - **slug** (string) - **value** (object) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/ads/{connection_id}/group/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /ads/{connection_id}/organization/{id} Source: https://api.unified.to/docs/openapi-ads.json API endpoint for GET /ads/{connection_id}/organization/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|currency|timezone|parent_id|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Organization ### Responses #### 200 - Successful **AdsOrganization** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) - **currency** (string) - **timezone** (string) - **parent_id** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/ads/{connection_id}/organization/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### Schema: property_AdsCampaign_bid_strategy Source: https://api.unified.to/docs/openapi-ads.json YOUTUBE_AND_PARTNERS ```markdown ## Schema: property_AdsCampaign_bid_strategy YOUTUBE_AND_PARTNERS **Type:** object - **type** (string (FIXED_BID|MAXIMIZE_SPEND|PERFORMANCE_GOAL|YOUTUBE_AND_PARTNERS)) (required) ("FIXED_BID"|"MAXIMIZE_SPEND"|"PERFORMANCE_GOAL"|"YOUTUBE_AND_PARTNERS") - **fixed_bid_amount** (number) - **performance_goal_type** (string (UNSPECIFIED|CPA|CPC|VIEWABLE_CPM|CUSTOM_ALGO|CIVA|IVO_TEN|AV_VIEWED|REACH)) ("UNSPECIFIED"|"CPA"|"CPC"|"VIEWABLE_CPM"|"CUSTOM_ALGO"|"CIVA"|"IVO_TEN"|"AV_VIEWED"|"REACH") - **performance_goal_amount** (number) - **max_average_cpm_bid_amount** (number) - **custom_bidding_algorithm_id** (string) - **raise_bid_for_deals** (boolean) - **youtube_and_partners_type** (string (UNSPECIFIED|MANUAL_CPV|MANUAL_CPM|TARGET_CPA|TARGET_CPM|RESERVE_CPM|MAXIMIZE_LIFT|MAXIMIZE_CONVERSIONS|TARGET_CPV|TARGET_ROAS|MAXIMIZE_CONVERSION_VALUE)) ("UNSPECIFIED"|"MANUAL_CPV"|"MANUAL_CPM"|"TARGET_CPA"|"TARGET_CPM"|"RESERVE_CPM"|"MAXIMIZE_LIFT"|"MAXIMIZE_CONVERSIONS"|"TARGET_CPV"|"TARGET_ROAS"|"MAXIMIZE_CONVERSION_VALUE") - **youtube_and_partners_value** (string) - **target_roas** (number) ``` -------------------------------- ### Schema: property_AdsInsertionorder_bid_strategy Source: https://api.unified.to/docs/openapi-ads.json YOUTUBE_AND_PARTNERS ```markdown ## Schema: property_AdsInsertionorder_bid_strategy YOUTUBE_AND_PARTNERS **Type:** object - **type** (string (FIXED_BID|MAXIMIZE_SPEND|PERFORMANCE_GOAL|YOUTUBE_AND_PARTNERS)) (required) ("FIXED_BID"|"MAXIMIZE_SPEND"|"PERFORMANCE_GOAL"|"YOUTUBE_AND_PARTNERS") - **fixed_bid_amount** (number) - **performance_goal_type** (string (UNSPECIFIED|CPA|CPC|VIEWABLE_CPM|CUSTOM_ALGO|CIVA|IVO_TEN|AV_VIEWED|REACH)) ("UNSPECIFIED"|"CPA"|"CPC"|"VIEWABLE_CPM"|"CUSTOM_ALGO"|"CIVA"|"IVO_TEN"|"AV_VIEWED"|"REACH") - **performance_goal_amount** (number) - **max_average_cpm_bid_amount** (number) - **custom_bidding_algorithm_id** (string) - **raise_bid_for_deals** (boolean) - **youtube_and_partners_type** (string (UNSPECIFIED|MANUAL_CPV|MANUAL_CPM|TARGET_CPA|TARGET_CPM|RESERVE_CPM|MAXIMIZE_LIFT|MAXIMIZE_CONVERSIONS|TARGET_CPV|TARGET_ROAS|MAXIMIZE_CONVERSION_VALUE)) ("UNSPECIFIED"|"MANUAL_CPV"|"MANUAL_CPM"|"TARGET_CPA"|"TARGET_CPM"|"RESERVE_CPM"|"MAXIMIZE_LIFT"|"MAXIMIZE_CONVERSIONS"|"TARGET_CPV"|"TARGET_ROAS"|"MAXIMIZE_CONVERSION_VALUE") - **youtube_and_partners_value** (string) - **target_roas** (number) ```